Subversion Repositories Scribus

Rev

Rev 5093 | Blame | Compare with Previous | Last modification | View Log | RSS feed

<qt>
<title>Installation of Scribus</title>
<h2>Installation of Scribus</h2>

<p>The installation process of Scribus depends on the distribution of Linux/Unix that you are using. This is the case just like it is for any program you may wish to install. The following are examples for how to install Scribus on various distributions:</p>
<table border="1">
        <tr bgcolor="#dddddd"><td>Linux Distribution</td><td>Install Method</td></tr>
        <tr bgcolor="#eeeeee"><td>Debian</td><td><code>apt-get install scribus</code> or preferably use one of the graphical front-ends such as &#034;Synaptic&#034; that handle &#034;Recommends&#034; correctly. For further information please read <a href="install-dpkg.html">How to use the Scribus Debian Repository</a></td></tr>
        <tr bgcolor="#eeeeee"><td>Gentoo</td><td><code>emerge scribus</code></td></tr>
        <tr bgcolor="#eeeeee"><td>PLD</td><td><code>poldek -i scribus</code></td></tr>
        <tr bgcolor="#eeeeee"><td>RedHat/Fedora</td><td><code>rpm -Uvh ./scribus-1.x.rpm</code></td></tr>
        <tr bgcolor="#eeeeee"><td>Slackware</td><td>Install from source, until 1.3.3.x is part of Slackware</td></tr>
        <tr bgcolor="#eeeeee"><td>SuSE</td><td>Use Yast2 for installation, OR, <code>rpm -Uvh ./scribus-1.x.rpm</code></td></tr>       
        <tr bgcolor="#dddddd"><td>Other OS</td><td>Install Method</td></tr>
        <tr bgcolor="#eeeeee"><td>FreeBSD</td><td><code>cd /usr/ports/print/scribus; make install</code></td></tr>
        <tr bgcolor="#eeeeee"><td>Mac OSX</td><td>Please refer to the <a href="cross-platform.html">Cross Platform</a> section</td></tr>
        <tr bgcolor="#eeeeee"><td>Windows&#8482;</td><td>Please refer to the <a href="cross-platform.html">Cross Platform</a> section</td></tr>
</table>

<p>Depending on the version of your distribution, there is the possiblity that you may need to upgrade various dependencies of Scribus and the above commands should make sure the required packages are installed.</p>
<p>For example, to access the font files you want to use in Scribus, Scribus relies on FreeType. For getting the best results we recommend using FreeType version 2.1.9 or later. Without having certain levels of software, we cannot guarantee correct operation of Scribus, or guarantee you achieve the  results you are trying to get. If the above commands do not upgrade all the dependencies on your system, please refer to the <a  href="install2.html">Requirements</a> page to make sure you have them.</p>
<p>For those who wish to install a more recent version of Scribus than that is included in their distribution, please check you have all the <a href="install2.html">Requirements</a> and continue into the <a href="install1.html">Scribus Source</a> section.</p>

</qt>